=== gdb/syscalls/Makefile ===
# Copyright (C) 2022-2024 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Generate .xml files from .xml.in files.

FILES=$(shell ls *.xml.in | grep -v linux-defaults.xml.in | sed 's/\.in//')

all:
	for f in $(FILES); do \
	  xsltproc --output $$f apply-defaults.xsl $$f.in; \
	done
