=== debian/changelog ===
gdb (16.3-5ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130723). Remaining changes:
    - import upstream tarball for building manpages
    - d/control:
      + added gdb-doc package
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/control.in:
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/p/gdb-strings.patch: fix grammar in warning message
    - d/p/ptrace-error-verbosity.patch: try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
    - d/p/series: disable gfdl-dont-build-manpages.patch
    - debian/gdb.install & debian/gdbserver.install:
      + include manpages in binary packages
    - d/rules:
      + skip tests on armhf, hanging on the buildds
      + disable lto on ppc64el
      + configure with --disable-werror
      + disable configure with --disable-sim
      + clean gdb/doc/GDBvn.texi before build
      + show test summary after test run
      + disable man-page installation (moved to *.install files)
  * Drop Chnges:
    - d/rules:
      + explicitly build with hardening=-all,+format.
        This was not doing anything - DEB_BUILD_MAINT_OPTIONS
        were overriden to hardening=+all on the next line.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 06 Nov 2025 08:32:59 +0100

gdb (16.3-5) unstable; urgency=medium

  * d/rules: Remove unused FORCE_CONTROL variable.
  * d/salsa-ci.yml: Disable nocheck, disable blhc pipeline.
    The package should now support 'make check' out of the box.  Also, the
    blhc pipeline has been failing for a while due to missing compiler
    flags when compiling some submodules (opcodes, for example).
  * d/p/fix-hurd-amd64-warning-osabi.patch: Fix osabi warning on Hurd amd64.
    (Closes: #1113764)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 05 Sep 2025 14:20:51 -0400

gdb (16.3-4) unstable; urgency=medium

  * Install gcore on all architectures.
    - d/gdb.install: Reinstate usr/bin/gcore.
    - d/rules: Remove conditional to install gcore on non-hurd-amd64, as
      it's not necessary anymore.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 24 Aug 2025 13:22:05 -0400

gdb (16.3-3) unstable; urgency=medium

  * d/rules: Remove arch-specific files that we don't ship.
  * d/rules: Invoke 'rm' with '-v'.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 23 Aug 2025 22:40:47 -0400

gdb (16.3-2) unstable; urgency=medium

  * d/control{,.in}: Put Debian GDB Team as maintainer.
    Also, move Héctor and I to Uploaders.
  * d/gdb.lintian-overrides: Remove mismatched entries.
  * d/copyright: Fix old-fsf-address-in-copyright-file.
  * d/compat: Remove file.
  * d/control: Migrate to debhelper-compat 13.
  * d/control: Remove unnecessary Rules-Requires-Root binary-targets.
  * d/control: Remove unnecessary ${python3:Depends}.
  * d/rules: Modernize; use dh sequencer.
  * d/s/lintian-overrides: Remove no-dh-sequencer override.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 23 Aug 2025 20:18:48 -0400

gdb (16.3-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:19:04 +0000

gdb (16.3-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2118491). Remaining changes:
    - import upstream tarball for building manpages
    - d/control:
      + added gdb-doc package
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/control.in:
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/p/gdb-strings.patch: fix grammar in warning message
    - d/p/ptrace-error-verbosity.patch: try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
    - d/p/series: disable gfdl-dont-build-manpages.patch
    - debian/gdb.install & debian/gdbserver.install:
      + include manpages in binary packages
    - d/rules:
      + skip tests on armhf, hanging on the buildds
      + disable lto on ppc64el
      + configure with --disable-werror
      + disable configure with --disable-sim
      + clean gdb/doc/GDBvn.texi before build
      + show test summary after test run
      + disable man-page installation (moved to *.install files)
      + explicitly build with hardening=-all,+format.
  * Dropped changes:
    - d/rules: unnecessary delta splitting dh_installchangelogs call for gdb
      and gdbserver packages.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 31 Jul 2025 11:48:28 -0300

gdb (16.3-1) unstable; urgency=medium

  * d/u/signing-key.asc: Remove problematic key.
    Importing a new version of GDB would lead to uscan errors regarding
    this key.  Moreover, since we're repacking the tarball anyway, the
    signature verification would always fail.
  * d/watch: Remove pgpsigurlmangle option.
  * New upstream version 16.3

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 21 Apr 2025 12:29:40 -0400

gdb (16.2-8ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - import upstream tarball for building manpages
    - debian/control:
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages

