=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

SPACE := $(EMPTY) $(EMPTY)
COMMA = ,

# The top-level configure script fails to pass these down properly ...
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
  export DEB_BUILD_MAINT_OPTIONS += optimize=-lto
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CXXFLAGS += -fPIC
CFLAGS += -fPIC
export $(DPKG_BUILDFLAGS_LIST)

# Ensure texlive respects DEB_TIMESTAMP
export FORCE_SOURCE_DATE = 1
# Also force "TeX output" string in dvi file, thus %DVIPSSource in the ps file
FAKETIME = TZ=UTC faketime "$(shell TZ=UTC date +"%Y-%m-%d %T" --date=@$(DEB_TIMESTAMP))"

# Rather paranoid than sorry. Make the shell exit with an error if an
# untested command fails.
SHELL += -e

export INSTALL = /usr/bin/install -p

derivative = $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
		elif dpkg-vendor --derives-from Debian; then echo Debian; \
		else echo Unknown; fi)

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

nodoc_profile = $(if $(filter nodoc,$(DEB_BUILD_PROFILES)),no,yes)

# Don't include docs with GFDL invariant sections
GFDL_INVARIANT_FREE = yes
ifeq ($(derivative),Ubuntu)
  GFDL_INVARIANT_FREE = no
endif

with_doc = no
ifneq ($(GFDL_INVARIANT_FREE),yes)
  ifneq ($(nodoc_profile),yes)
    with_doc = yes
  endif
endif

with_multiarch = $(if $(filter pkg.gdb.no-multiarch,$(DEB_BUILD_PROFILES)),no,yes)

# ---------- settings for cross builds ----------

# Cross configuration support.  Check for an environment variable
# $GDB_TARGET, or a file debian/target.
ifndef GDB_TARGET
  DEBIAN_TARGET_FILE := $(strip $(shell cat debian/target 2>/dev/null))
  ifneq ($(DEBIAN_TARGET_FILE),)
    GDB_TARGET := $(DEBIAN_TARGET_FILE)
  endif
endif

DEB_TARGET_ALIAS ?= $(DEB_TARGET_GNU_TYPE)

ifneq ($(GDB_TARGET),)
  configure_target_args = --with-gdb-datadir="\$${prefix}/share/gdb-$(DEB_TARGET_GNU_TYPE)"
endif

ifeq ($(DEB_TARGET_ARCH),)
  $(error GDB_TARGET value "$(GDB_TARGET)" is not a valid Debian architecture)
endif

ifdef GDB_TARGET
  DEB_CROSS = yes
  # TP: Target Prefix. Used primarily as a prefix for cross tool
  #     names (e.g. powerpc-linux-gcc).
  # TS: Target Suffix. Used primarily at the end of cross compiler
  #     package names (e.g. gcc-powerpc).
  TP = $(DEB_TARGET_ALIAS)-
  TS = -$(DEB_TARGET_ALIAS)
endif

# ---------- configure options, architecture specific ----------

ifeq ($(DEB_HOST_GNU_CPU),ia64)
  arch_config_args = --with-libunwind-ia64
endif

arch_config_args += --with-babeltrace

# Enable Intel Processor Trace (PT) on Linux x86 platform
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
  arch_config_args += --with-intel-pt
endif

ifdef GDB_TARGET
  arch_config_args += \
	--program-prefix=$(TP) \
	--target=$(DEB_TARGET_ALIAS) \
	--with-sysroot=/usr/$(DEB_TARGET_ALIAS)
else
  # To avoid file conflicts, only enable the global gdbinit file for native
  # debuggers.
  arch_config_args += \
	--with-system-gdbinit=/etc/gdb/gdbinit \
	--with-system-gdbinit-dir=/etc/gdb/gdbinit.d
endif

run_tests = yes
ifneq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
  run_tests = disabled by DEB_BUILD_OPTIONS
endif

ifeq (,$(findstring linux, $(DEB_HOST_GNU_SYSTEM)))
  run_tests = only enabled for Linux targets
endif

# FIXME: hanging on the Ubuntu buildds?
#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
#  run_tests := not enabled for $(DEB_HOST_ARCH)
#endif

ifdef GDB_TARGET
  run_tests = disabled for cross builds
endif

# List of architectures where tests are flaky (and therefore
# disabled).
FLAKY_TEST_ARCHITECTURES = \
	alpha \
	hppa \
	sparc64 \
	x32

ifneq (,$(filter $(DEB_HOST_ARCH),$(FLAKY_TEST_ARCHITECTURES)))
  run_tests = disable on $(DEB_HOST_ARCH) due to flakiness
endif

# Architectures where gdbserver's libinproctrace is available.
LIBINPROCTRACE_AVAILABLE_ARCHITECTURES = \
	amd64 \
	arm64 \
	i386 \
	ppc64el \
	s390x \
	powerpc \
	ppc64 \
	x32

# ---------- configure options, for all variants ----------

variants = default multiarch

# We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
# causes a harmless, but ugly, testsuite failure in maint.exp.
common_configure_args = \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--host=$(DEB_HOST_GNU_TYPE) \
	--prefix=/usr \
	--libexecdir="\$${prefix}/lib/gdb" \
	--disable-werror \
	--disable-maintainer-mode \
	--disable-dependency-tracking \
	--disable-silent-rules \
	--disable-gdbtk \
	--disable-shared \
	--with-pkgversion='$(DEB_VENDOR)___$(DEB_VERSION)' \
	--srcdir=$(CURDIR) \
	--disable-readline \
	--with-system-readline \
	--with-expat \
	--with-system-zlib \
	--without-guile \
	--without-babeltrace \
	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
	$(arch_config_args) \

#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \

default_configure_args = \
	$(common_configure_args) \
	$(configure_target_args) \
	--enable-tui \
	--with-lzma \
	--with-python=python3 \
	--with-xxhash \
	--enable-64-bit-bfd

multiarch_configure_args = \
	$(default_configure_args) \
	--enable-targets=all \
	--enable-obsolete \
	--disable-sim

builddir_default	= build/default
builddir_multiarch	= build/multiarch
builddir_source		= build/gdb

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f gdb/doc/GDBvn.texi

# There's no need to run autoreconf as upstream already ships a
# working configure script.
override_dh_autoreconf:

# Configure GDB.
# First and only argument is the build directory.
define configure-gdb
mkdir -p $(builddir_$(1))
@echo "gdb-$(1): configure with: $(subst ___, ,$(foreach i,$($(1)_configure_args),$(i)\n\t))"
cd $(builddir_$(1)) && ../../configure $(subst ___,$(SPACE),$($(1)_configure_args))
endef

override_dh_auto_configure-arch:
	$(call configure-gdb,default)
ifeq ($(with_multiarch),yes)
	$(call configure-gdb,multiarch)
endif

override_dh_auto_configure-indep:

# Build GDB.
# First and only argument is the build directory.
define build-gdb
$(MAKE) V=1 -C $(builddir_$(1)) $(NJOBS)
endef

override_dh_auto_build-arch:
	$(call build-gdb,default)
ifeq ($(with_multiarch),yes)
	$(call build-gdb,multiarch)
endif
	$(FAKETIME) $(MAKE) -C $(builddir_default)/gdb/doc refcard.dvi refcard.ps
ifeq ($(with_doc),yes)
	$(MAKE) -C $(builddir_default) info
	$(MAKE) -C $(builddir_default)/gdb/doc pdf html
endif

override_dh_auto_build-indep:

# GDB's testsuite has historically been flaky and its results haven't
# been very trustworthy.  Instead of running the entire testsuite (and
# wasting a lot of time and CPU), pick only a subset of tests that are
# known to be non-flaky.  If any of these fail, something is really
# wrong.
#
# This list was inspired by
# https://sourceware.org/git/?p=builder.git;a=blob;f=builder/master.cfg
TESTS_NON_FLAKY = \
	gdb.base/break-always.exp \
	gdb.base/break-caller-line.exp \
	gdb.base/break-entry.exp \
	gdb.base/break.exp \
	gdb.base/break-fun-addr.exp \
	gdb.base/break-idempotent.exp \
	gdb.base/break-include.exp \
	gdb.base/break-inline.exp \
	gdb.base/break-main-file-remove-fail.exp \
	gdb.base/break-on-linker-gcd-function.exp \
	gdb.base/breakpoint-in-ro-region.exp \
	gdb.base/breakpoint-shadow.exp \
	gdb.base/break-probes.exp \
	gdb.gdb/unittest.exp \
	gdb.server/unittest.exp

define test-gdb
$(MAKE) -C $(builddir_$(1))/gdb \
	check//unix check//native-gdbserver check//native-extended-gdbserver \
	TESTS="$(TESTS_NON_FLAKY)"
endef

override_dh_auto_test-arch:
ifeq ($(run_tests),yes)
#	Run the non-flaky tests.
#
#	Don't parallelize because things can get racy, and we're not
#	dealing with that many tests anyway.
	$(call test-gdb,default)
ifeq ($(with_multiarch),yes)
	$(call test-gdb,multiarch)
endif
	@echo "===== TEST SUMMARY BEGIN ====="
