## gdb 17.0.50.20250905

=== debian/changelog ===
gdb (17.0.50.20250905-1~exp1) experimental; urgency=medium

  * Import debian/ from unstable.
  * New upstream version 17.0.50.20250905
  * d/p/Port-GDB-to-Hurd-x86_64.patch: Remove; part of upstream now.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 05 Sep 2025 15:17:42 -0400
