## gdb 17.0.90

=== debian/changelog ===
gdb (17.0.90-1~exp2) experimental; urgency=medium

  * d/gbp.conf: Set debian-branch to debian/experimental.
  * d/p/fix-ftbfs-i386.patch: Apply upstream patch to fix FTBFS on i386.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 14 Sep 2025 20:56:35 -0400

gdb (17.0.90-1~exp1) experimental; urgency=medium

  * d/salsa-ci.yml: Ignore debian/experimental branch.
  * New upstream version 17.0.90
  * d/copyright: Remove stanzas for sim/arm/ directory.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 07 Sep 2025 13:43:42 -0400
