=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 
 # The top-level configure script fails to pass these down properly ...
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
-  export DEB_BUILD_MAINT_OPTIONS += optimize=-lto
-endif
-
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -123,11 +119,6 @@
   run_tests = only enabled for Linux targets
 endif
 
-# FIXME: hanging on the Ubuntu buildds?
-#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-#  run_tests := not enabled for $(DEB_HOST_ARCH)
-#endif
-
 ifdef GDB_TARGET
   run_tests = disabled for cross builds
 endif
@@ -166,7 +157,6 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--prefix=/usr \
 	--libexecdir="\$${prefix}/lib/gdb" \
-	--disable-werror \
 	--disable-maintainer-mode \
 	--disable-dependency-tracking \
 	--disable-silent-rules \
@@ -183,8 +173,6 @@
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
 
-#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
-
 default_configure_args = \
 	$(common_configure_args) \
 	$(configure_target_args) \
@@ -206,10 +194,6 @@
 
 %:
 	dh $@
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f gdb/doc/GDBvn.texi
 
 # There's no need to run autoreconf as upstream already ships a
 # working configure script.
@@ -291,4 +275,22 @@
 ifeq ($(with_multiarch),yes)
 	$(call test-gdb,multiarch)
 endif
-	@echo "===== TEST SUMMARY BEGIN ====="
+else
+	@echo "***Tests disabled: $(run_tests) ***"
+endif
+
+override_dh_auto_test-indep:
+
+execute_after_dh_clean: debian/control
+	rm -rf build
+
+	if test -f gdb/version.in.backup; then \
+	  mv -f gdb/version.in.backup gdb/version.in; \
+	fi
+
+	# Prevent gratuitous rebuilds of the BFD documentation, since it
+	# updates the copy in the source directory.
+	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
+
+override_dh_install-arch:
+	# gdb install
