## gdb 17.1

=== debian/changelog ===
gdb (17.1-3) unstable; urgency=medium

  * d/rules: Disable tests on loong64.
    This is a temporary measure until upstream GDB adopts a proposed patch
    to fix the issue described in #1125934. (Closes: #1125934)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 06 Feb 2026 09:42:31 -0500

gdb (17.1-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.3; no changes needed.

  [ Vladimir Petko ]
  * - d/rules: create $(builddir_$(1))/sim/common to resolve
      ftbfs (LP: 2138687) (Closes: #1126040)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1124547)
    - Cross-translate gobjc build dependency.
    - Multiarchify Python build dependency.
    - cross.patch: Use host flags for chew.c

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 20 Jan 2026 22:48:45 -0500

gdb (17.1-1) unstable; urgency=medium

  * d/salsa-ci.yml: Ignore debian/experimental branch.
  * d/README.Debian: Update links.
  * d/control.in: Sync with d/control.
  * d/rules: Add comments to canned recipes.
  * New upstream version 17.1
  * d/p/Port-GDB-to-Hurd-x86_64.patch: Remove; upstreamed.
  * d/p/fix-hurd-amd64-warning-osabi.patch: Remove; upstreamed.
  * d/copyright: Update.
  * d/s/lintian-overrides: Update.
  * d/watch: Update to version 5.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 21 Dec 2025 15:09:18 -0500
