=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gdb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GDB Team <team+gdb@tracker.debian.org>
+Maintainer: Debian GDB Team <team+gdb@tracker.debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>, Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Build-Depends:
 # Packaging deps
@@ -18,7 +17,7 @@
                dejagnu,
                flex,
                procps,
-               gobjc,
+               gobjc-for-host,
                mig [hurd-any],
 # TeX[info] deps
                texinfo (>= 4.7-2.2),
@@ -32,16 +31,16 @@
                libzstd-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
-               libsource-highlight-dev [!i386],
+               libsource-highlight-dev,
 	       libxxhash-dev,
 	       libmpfr-dev,
                pkgconf,
 # Python build
-               python3-dev,
+               libpython3-dev,
+               python3-dev:native,
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
-               libc6-dbg [armhf],
 # Reproducible build
                faketime,
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
@@ -52,10 +51,9 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libc6-dbg [armhf],
-Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any],
+	  libc-dbg
 Breaks: gdb-minimal (<< 15.2-2~exp1)
 Replaces: gdb-minimal (<< 15.2-2~exp1)
 Provides: gdb-minimal
@@ -120,18 +118,3 @@
  .
  This package contains the sources and patches which are needed
  to build GDB.
-
-Package: gdb-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
-Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
-Description: The GNU Debugger Documentation
- GDB is a source-level debugger, capable of breaking programs at
- any specific line, displaying variable values, and determining
- where errors occurred. Currently, it works for C, C++, Fortran,
- Modula 2 and Java programs. A must-have for any serious
- programmer.
- .
- This package contains the GDB manual.
