=== debian/rules ===
--- 
+++ 
@@ -128,6 +128,7 @@
 FLAKY_TEST_ARCHITECTURES = \
 	alpha \
 	hppa \
+	loong64 \
 	sparc64 \
 	x32
 
@@ -200,9 +201,9 @@
 override_dh_autoreconf:
 
 # Configure GDB.
-# First and only argument is the build directory.
+# First and only argument is the build flavour.
 define configure-gdb
-mkdir -p $(builddir_$(1))
+mkdir -p $(builddir_$(1)) $(builddir_$(1))/sim/common
 @echo "gdb-$(1): configure with: $(subst ___, ,$(foreach i,$($(1)_configure_args),$(i)\n\t))"
 cd $(builddir_$(1)) && ../../configure $(subst ___,$(SPACE),$($(1)_configure_args))
 endef
@@ -216,7 +217,7 @@
 override_dh_auto_configure-indep:
 
 # Build GDB.
-# First and only argument is the build directory.
+# First and only argument is the build flavour.
 define build-gdb
 $(MAKE) V=1 -C $(builddir_$(1)) $(NJOBS)
 endef
@@ -259,6 +260,8 @@
 	gdb.gdb/unittest.exp \
 	gdb.server/unittest.exp
 
+# Test GDB.
+# First and only argument is the build flavour.
 define test-gdb
 $(MAKE) -C $(builddir_$(1))/gdb \
 	check//unix check//native-gdbserver check//native-extended-gdbserver \
@@ -290,7 +293,3 @@
 
 	# Prevent gratuitous rebuilds of the BFD documentation, since it
 	# updates the copy in the source directory.
-	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
-
-override_dh_install-arch:
-	# gdb install
